Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.synchronization.spi
Interface ExceptionMapper

All Superinterfaces:
  Serializable

    public interface ExceptionMapper

extends Serializable

A pluggable strategy for defining how the `Synchronization` registered by Hibernate handles exceptions.

Method Summary
`RuntimeException` | `mapManagedFlushFailure(String message, RuntimeException failure)` Map an exception encountered during a managed flush to the appropriate runtime-based exception.
`RuntimeException` | `mapStatusCheckFailure(String message, SystemException systemException)` Map a JTA `SystemException` to the appropriate runtime-based exception.

Method Detail

### mapStatusCheckFailure

    RuntimeException mapStatusCheckFailure(String message,
                                           SystemException systemException)

  Map a JTA `SystemException` to the appropriate runtime-based exception.

  Parameters:
    `message` - The message to use for the returned exception
    `systemException` - The causal exception
  Returns:
    The appropriate exception to throw

### mapManagedFlushFailure

    RuntimeException mapManagedFlushFailure(String message,
                                            RuntimeException failure)

  Map an exception encountered during a managed flush to the appropriate runtime-based exception.

  Parameters:
    `message` - The message to use for the returned exception
    `failure` - The causal exception
  Returns:
    The appropriate exception to throw

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.